Distribution

List deals

GET
/v1/distribution/deals

Scope: distribution:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/distribution/deals'
Example Response
{  "deals": [    {      "id": "b5eb0ee8-15e2-47a8-895e-45dc033b521b",      "stage": "titles_sent",      "territory": "MX",      "rightTypes": [        "AVOD"      ],      "licenseStart": null,      "licenseEnd": "2026-11-04",      "valueAmount": null,      "currency": "USD",      "exclusive": false,      "wonAt": null,      "createdAt": "2026-10-14 09:22:37.916686+00",      "opportunityId": "4198be9d-b113-4102-957a-512578a3a11c",      "sourceRequestId": null,      "origin": "opportunity",      "buyerLabel": "Tubi",      "buyerUnresolved": false,      "titleCount": 1,      "opportunityTitle": "Jaws",      "posterUrl": "https://image.tmdb.org/t/p/w500/lxM6kqilAdpdhqUl2biYp5frUxE.jpg",      "opportunityScore": 44    }  ],  "counts": {    "titles_sent": 1  },  "convertibleRequests": [],  "recorded": {    "wonTotal": 0,    "wonPriced": 0,    "value": null,    "currency": null  }}